Summary:	Python interface to OpenSSL
Summary(pl):	Interfejs Pythona do OpenSSL
Name:		python-M2Crypto
Version:	0.17
Release:	2
License:	BSD-like
Group:		Development/Languages/Python
Source0:	http://wiki.osafoundation.org/pub/Projects/MeTooCrypto/m2crypto-%{version}.tar.gz
# Source0-md5:	c67b45c752fd5e8115cd6b14831c5a38
Patch0:		%{name}-swig_sources.patch
Patch1:		%{name}-store2ssl.patch
URL:		http://wiki.osafoundation.org/bin/view/Projects/MeTooCrypto
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	swig-python >= 1.3.24
BuildRequires:	unzip
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
M2Crypto makes accessible to the Python programmer the following:
- DH, RSA, DSA, symmetric ciphers, message digests, HMACs.
- SSL functionality to implement clients and servers.
- S/MIME v2.

M2Crypto is released under a very liberal BSD-like licence. See
LICENCE for details.

%description -l pl
M2Crypto udostpnia z poziomu Pythona nastpujce funkcje:
- DH, RSA, DSA, szyfry symetryczne, skrty, HMAC
- SSL do implementacji klientw i serwerw
- S/MIME v2.

%prep
%setup -q -n m2crypto-%{version}
%patch0 -p1
%patch1 -p1

find demo -type d -name CVS | xargs rm -rf

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

# shutup check-files
find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py \
	-exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES LICENCE README doc/*.html demo
%dir %{py_sitedir}/M2Crypto
%attr(755,root,root) %{py_sitedir}/M2Crypto/*.so
%{py_sitedir}/M2Crypto/*.py[oc]
%dir %{py_sitedir}/M2Crypto/SSL
%{py_sitedir}/M2Crypto/SSL/*.py[oc]
%dir %{py_sitedir}/M2Crypto/PGP
%{py_sitedir}/M2Crypto/PGP/*.py[oc]
%changelog
* Sat Mar 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-M2Crypto.git;a=log;h=AC-branch

* Tue Dec 26 2006 Elan Ruusamäe <glen@pld-linux.org> aadf254
- rel 2

* Sat Dec 23 2006 cvs2git <feedback@pld-linux.org> 9e4ae44
- This commit was manufactured by cvs2git to create branch 'AC-branch'.

* Sat Dec 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 88d6e1a
- updated to 0.17 release

* Wed Dec 06 2006 Jakub Bogusz <qboosh@pld-linux.org> 60daa66
- updated to 0.17beta1
- added store2ssl patch needed by current pyxmpp
- release .2

* Wed Dec 06 2006 Jakub Bogusz <qboosh@pld-linux.org> 4360980
- provide a way to get SSL from X509_Store_Context from pure python (needed by current pyxmpp)

* Sat Nov 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 7662b05
- package .egg-info for python 2.5

* Thu Nov 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 707d4e2
- unified; TLS in cjc still doesn't work

* Thu Oct 05 2006 Jakub Bogusz <qboosh@pld-linux.org> 5cc48f9
- removed INSTALL from doc (useless in binary package)

* Mon Oct 02 2006 Jakub Bogusz <qboosh@pld-linux.org> 20e9344
- outdated

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> e4ebade
- rel. 2

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> a9cdc44
- merged from DEVEL

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> 63fb16d
- merged from DEVEL (ver. 0.16, rel. 1)

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 112fc8d
- orphaned, outdated

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> 24ac6e9
- adapterized (killed trailing spaces/tabs)

* Tue Feb 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 5f1da4a
- swig >= 1.3.24 creates broken package - fix needed

* Tue Feb 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 8be7ac7
- don't package CVS dirs with demos

* Tue Feb 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 24b3099
- missing dir, release 5

* Mon Jun 27 2005 saq <saq@pld-linux.org> 04f5e40
- as of 1.3.25, swig subpackages actually contain something useful

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 6215074
- mass commit: remove obsolete BR: rpm-pythonprov

* Mon Dec 27 2004 saq <saq@pld-linux.org> 35d9c22
- swig_sources.patch for modern method signature
- release 4

